POST checks/generic/{checkId}/results
Gets generic check results in json format.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.
Request example and description
curl --request POST "https://api-asm2.apica.io/v3/checks/generic/12345/results?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
\"filter\": {
\"range\": {
\"mostrecent\": 10,
\"milliseconds_utc\": [
1376980667000,
1376980667001
],
\"period\": {
\"from_utc\": \"2013-08-20T13:32:08\",
\"to_utc\": \"2013-08-21T13:32:08\"
},
\"result_ids\": [
\"443667a1-d856-465b-a5c7-8329a9015622\",
\"00500d31-34d0-437f-869b-efc4868977ad\",
\"439a9f4f-e4a9-4aed-94a6-adac570560bd\"
]
}
}
}"
| Name | Type | Required | Description |
|---|---|---|---|
| filter | Object | Yes |
The filter section defines the criteria for selecting the check results. |
| range | Object | Yes |
This section allows to define the aggregate range of the results by combining different filters. It must contain at least one filter. |
| mostrecent | Integer | No |
Number of most recent results. |
| milliseconds_utc | Array | No |
Array of timestamps associated with results. Each item is represented by a UNIX Epoch timestamp (milliseconds after 1970). |
| period | Object | No |
The period section defines the date range to obtain results for. |
| from_utc | DateTime | Yes |
Starting timestamp (in UTC) for the date range. |
| to_utc | DateTime | Yes |
Ending timestamp (in UTC) for the date range. |
| result_ids | Array | No |
Array of result identifiers to specific results. |
Response body model example and description
{
"check_id": 1,
"check_results": [
{
"attempts": 1,
"result_code": 1,
"timestamp_utc": "2026-10-18T13:40:45",
"severity": "sample string 3",
"value": 1,
"resultId": "56530f32-4fe5-4baf-844b-dfa3d7a0b9c9",
"result": {}
},
{
"attempts": 1,
"result_code": 1,
"timestamp_utc": "2026-10-18T13:40:45",
"severity": "sample string 3",
"value": 1,
"resultId": "2c7b67c6-6906-4269-993d-dd4abe806527",
"result": {}
},
{
"attempts": 1,
"result_code": 1,
"timestamp_utc": "2026-10-18T13:40:45",
"severity": "sample string 3",
"value": 1,
"resultId": "9b0505ac-0aa4-477c-8137-58229c599b62",
"result": {}
}
]
}
| Name | Type | Description |
|---|---|---|
| check_id | Integer |
The check identifier. |
| check_results | Array |
Check results. |
| attempts | Integer |
The number of attempts. |
| result_code | Integer |
The result code. |
| timestamp_utc | DateTime |
The result timestamp in UTC. |
| severity | String |
The result severity. |
| value | Integer |
The result value. |
| resultId | Guid |
The result identifier. |
| result | Object |
The custom result data in json format. |